org.cybergarage.upnp

## Class AllowedValue

- java.lang.Object
- - org.cybergarage.upnp.AllowedValue

-     public class AllowedValue
      extends Object

  Represents an allowed value constraint for UPnP state variables.

  This class encapsulates allowed value definitions from UPnP service descriptions. It provides XML node management for state variables that have enumerated or restricted value sets defined in their service descriptions.

  Key features:

  - XML node wrapping for allowed values
  - Element name constant for XML parsing
  - Service description integration
  - State variable constraint management
  - UPnP specification compliance

  This class is used by UPnP services to manage allowed value constraints for state variables, enabling proper validation and description generation for variables with restricted value sets.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ELEM_NAME` XML element name for allowed value in UPnP descriptions.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AllowedValue(Node node)`
    `AllowedValue(String value)` Create an AllowedValue by the value String, and will create the Node structure by itself

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Node` | `getAllowedValueNode()`
    `String` | `getValue()`
    `static boolean` | `isAllowedValueNode(Node node)` Checks if the given node is an allowedValue element.
    `void` | `setValue(String value)` Sets the value for this allowed value element.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ELEM_NAME

          public static final String ELEM_NAME

      XML element name for allowed value in UPnP descriptions.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AllowedValue

          public AllowedValue(Node node)

    - #### AllowedValue

          public AllowedValue(String value)

      Create an AllowedValue by the value String, and will create the Node structure by itself
      Parameters:
        `value` - The value that will be associate to this object

  - ### Method Detail

    - #### getAllowedValueNode

          public Node getAllowedValueNode()

    - #### getValue

          public String getValue()

    - #### isAllowedValueNode

          public static boolean isAllowedValueNode(Node node)

      Checks if the given node is an allowedValue element.
      Parameters:
        `node` - the XML node to check
      Returns:
        true if the node is an allowedValue element

    - #### setValue

          public void setValue(String value)

      Sets the value for this allowed value element.
      Parameters:
        `value` - the value string to set